> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# XblMultiplayerGetSessionAsync

> XblMultiplayerGetSessionAsync

# XblMultiplayerGetSessionAsync

サーバーから既存のセッション オブジェクトをすべての属性とともに取得します。

## 構文

```cpp theme={null}
HRESULT XblMultiplayerGetSessionAsync(  
         XblContextHandle xblContext,  
         const XblMultiplayerSessionReference* sessionReference,  
         XAsyncBlock* async  
)  
```

### パラメーター

*xblContext*   \_In\_\
型: [XblContextHandle](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/types_c/handles/xblcontexthandle.md)

ローカル ユーザーの XBOX Live コンテキスト。

*sessionReference*   \_In\_\
型: [XblMultiplayerSessionReference\*](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/multiplayer_c/structs/xblmultiplayersessionreference.md)

セッションを識別する情報を含む XblMultiplayerSessionReference オブジェクト。

*async*   \_In\_\
型: XAsyncBlock\*

この操作用の AsyncBlock。

### 戻り値

型: HRESULT

この API 操作の HRESULT 戻り値コード。

## REST 呼び出し

V102 GET /serviceconfigs/{serviceConfigurationId}/sessionTemplates/{sessiontemplateName}/sessions/{sessionName} を呼び出します。

## 要件

**ヘッダー:** multiplayer\_c.h

**ライブラリ:** Microsoft.Xbox.Services.14x.GDK.C.lib

## 関連項目

[multiplayer\_c](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/multiplayer_c/multiplayer_c_members.md)


## Related topics

- [Multiplayer Session Directory の概要](https://docs.xbox.com/ja-jp/services/xbox-services/multiplayer/mpsd/live-mpsd-overview.md)
- [マルチプレイヤー セッションの詳細トピック](https://docs.xbox.com/ja-jp/services/xbox-services/multiplayer/mpsd/concepts/live-mpsd-details.md)
- [XblMultiplayerGetSessionByHandleAsync](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/multiplayer_c/functions/xblmultiplayergetsessionbyhandleasync.md)
- [XblMultiplayerGetSessionResult](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/multiplayer_c/functions/xblmultiplayergetsessionresult.md)
- [XblMultiplayerQuerySessionsAsync](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/multiplayer_c/functions/xblmultiplayerquerysessionsasync.md)
